Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Class DefaultCell

    java.lang.Object
      com.tonbeller.wcf.table.DefaultCell

All Implemented Interfaces:
  java.lang.Comparable

public class DefaultCell
extends java.lang.Object
implements java.lang.Comparable

default cells that are rendered by the DefaultCellRenderer.

Constructor Summary
`DefaultCell(java.lang.String URL, java.lang.Object value)`
`DefaultCell(java.lang.String URL, java.lang.Object value, java.lang.String imageUrl)` creates a clickable

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getImage()`
`java.lang.String` | `getOnClick()` the onClick=".." attribute of the <a ...
`java.lang.String` | `getTarget()` the target=".." attribute of the <a ...
`java.lang.String` | `getURL()` the href=".." attribute of the <a ...
`java.lang.Object` | `getValue()`
`void` | `setImage(java.lang.String newImage)`
`void` | `setOnClick(java.lang.String newOnClick)` the onClick=".." attribute of the <a ...
`void` | `setTarget(java.lang.String newTarget)` the target=".." attribute of the <a ...
`void` | `setURL(java.lang.String newURL)` the href=".." attribute of the <a ...
`void` | `setValue(java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCell

    public DefaultCell(java.lang.String URL,
                       java.lang.Object value)

### DefaultCell

    public DefaultCell(java.lang.String URL,
                       java.lang.Object value,
                       java.lang.String imageUrl)

  creates a clickable

Method Detail

### getURL

    public java.lang.String getURL()

  the href=".." attribute of the <a ...> element

### setURL

    public void setURL(java.lang.String newURL)

  the href=".." attribute of the <a ...> element

### setValue

    public void setValue(java.lang.Object newValue)

### getValue

    public java.lang.Object getValue()

### setTarget

    public void setTarget(java.lang.String newTarget)

  the target=".." attribute of the <a ...> element

### getTarget

    public java.lang.String getTarget()

  the target=".." attribute of the <a ...> element

### setOnClick

    public void setOnClick(java.lang.String newOnClick)

  the onClick=".." attribute of the <a ...> element

### getOnClick

    public java.lang.String getOnClick()

  the onClick=".." attribute of the <a ...> element

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### setImage

    public void setImage(java.lang.String newImage)

### getImage

    public java.lang.String getImage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD